kr.co.hanwha.hifive

## Enum HFApplication.SERVER_TYPE

- java.lang.Object
- - java.lang.Enum<HFApplication.SERVER_TYPE>
  - - kr.co.hanwha.hifive.HFApplication.SERVER_TYPE

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<HFApplication.SERVER_TYPE>
  Enclosing class:
    HFApplication

      public static enum HFApplication.SERVER_TYPE
      extends java.lang.Enum<HFApplication.SERVER_TYPE>

  서버 설정

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DEV` 개발 서버
    `LOCAL` 테스트 Local URL
    `REAL` PRD(실서버)

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static HFApplication.SERVER_TYPE` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static HFApplication.SERVER_TYPE[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### REAL

          public static final HFApplication.SERVER_TYPE REAL

      PRD(실서버)

    - #### DEV

          public static final HFApplication.SERVER_TYPE DEV

      개발 서버

    - #### LOCAL

          public static final HFApplication.SERVER_TYPE LOCAL

      테스트 Local URL

  - ### Method Detail

    - #### values

          public static HFApplication.SERVER_TYPE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (HFApplication.SERVER_TYPE c : HFApplication.SERVER_TYPE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static HFApplication.SERVER_TYPE valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null